P4_LOCALS_BAR(3)

NAME
p4_locals_bar - LOCALS| ( xN ... x2 x1 [name1 .. nameN <|>] -- )

SYNOPSIS

#include <pfe/locals-ext.h>

FCode p4_locals_bar(---);

DESCRIPTION

create local identifiers to be used in the current definition. At runtime, each identifier will be assigned a value from the parameter stack. The identifiers may be treated as if being a VALUE , it does also implement the ansi TO extensions for locals. Note that the identifiers are only valid inside the currently compiled word, the SEE decompiled word will show them as <A> <B> ... <N> a.s.o. see also LVALUE

AUTHOR

    • Guido U. Draheim (modified by $Author: guidod $)

COPYRIGHT

Copyright (C) Tektronix, Inc. 1998 - 2001. Copyright (C) 2005 - 2008 Guido U. Draheim <guidod@gmx.de>